View Issue Details

IDProjectCategoryView StatusLast Update
0003393HTML & PERLBug Reportpublic2020-01-08 08:47
ReporterNewser Assigned ToDerIdiot  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0003393: Related Entry Character ID in Char-Char Relation CREQ is incorrect
DescriptionIn Char-Char Relation CREQ, in the Related Entry field, there is a link to a character, but the ID in this link is actually the relation ID, not character ID as it displays
Steps To ReproduceExample: http://anidb.net/c12320888
If you go to one of the character's relations: http://anidb.net/character/78141/relation (click "Deleted" tab) - you'll see that 152728 is the relation ID
TagsNo tags attached.

Relationships

related to 0003055 resolvedDerIdiot Creq list: tagentityreltb creq uses "id" as param instead of "aid"/etc, breaks "related entry" link on add creqs 

Activities

DerIdiot

2020-01-05 22:32

administrator   ~0004400

fixed for future delete requests

DerIdiot

2020-01-08 06:58

administrator   ~0004404

fixed in all previous creqs as well

Issue History

Date Modified Username Field Change
2019-11-26 10:42 Newser New Issue
2019-12-12 14:52 DerIdiot Project AniDB Website => HTML & PERL
2020-01-05 22:32 DerIdiot Assigned To => DerIdiot
2020-01-05 22:32 DerIdiot Status new => resolved
2020-01-05 22:32 DerIdiot Resolution open => fixed
2020-01-05 22:32 DerIdiot Note Added: 0004400
2020-01-08 06:58 DerIdiot Note Added: 0004404
2020-01-08 08:47 DerIdiot Relationship added related to 0003055